Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 35 lines (34 sloc) 1.341 kb
daeb7c4 @bdarnell Fix travis build for python3
bdarnell authored
1 # http://travis-ci.org/#!/facebook/tornado
6c16f8c @bdarnell Try out travis-ci.org
bdarnell authored
2 language: python
3 python:
ee5af79 @msabramo Add py25 (depends on simplejson) to .travis.yml
msabramo authored
4 - 2.5
d9d90e3 @msabramo Add py26 back but make it an allowable failure
msabramo authored
5 - 2.6
6c16f8c @bdarnell Try out travis-ci.org
bdarnell authored
6 - 2.7
10ba26d @msabramo Add pypy to .travis.yml
msabramo authored
7 - pypy
6c16f8c @bdarnell Try out travis-ci.org
bdarnell authored
8 - 3.2
d9d90e3 @msabramo Add py26 back but make it an allowable failure
msabramo authored
9 matrix:
d02f599 @msabramo .travis.yml: Test with more full dependencies using "matrix: include:"
msabramo authored
10 include:
11 - python: 2.5
12 env: FULL="true"
13 - python: 2.6
14 env: FULL="true"
15 - python: 2.7
16 env: FULL="true"
c7fe53b @msabramo .travis.yml: Test py32 with LANG=C and LANG=en_US.utf-8
msabramo authored
17 - python: 3.2
18 env: LANG="en_US.utf-8"
19 - python: 3.2
20 env: LANG="C"
6c16f8c @bdarnell Try out travis-ci.org
bdarnell authored
21 install:
5b7ebad @bdarnell Add unittest2 to other test configurations.
bdarnell authored
22 - if [[ $TRAVIS_PYTHON_VERSION == '2.5' ]]; then pip install --use-mirrors simplejson unittest2; fi
23 - if [[ $TRAVIS_PYTHON_VERSION == '2.6' ]]; then pip install --use-mirrors unittest2; fi
3747af5 @bdarnell Add futures to travis and vm tests, update assorted dependency versions.
bdarnell authored
24 - if [[ $FULL == 'true' ]]; then sudo apt-get install librtmp-dev; pip install --use-mirrors pycurl futures; fi
d02f599 @msabramo .travis.yml: Test with more full dependencies using "matrix: include:"
msabramo authored
25 - if [[ $FULL == 'true' && $TRAVIS_PYTHON_VERSION == '2.5' ]]; then pip install --use-mirrors twisted==11.0.0 'zope.interface<4.0'; fi
3747af5 @bdarnell Add futures to travis and vm tests, update assorted dependency versions.
bdarnell authored
26 - if [[ $FULL == 'true' && $TRAVIS_PYTHON_VERSION == '2.6' ]]; then pip install --use-mirrors twisted==12.0.0; fi
27 - if [[ $FULL == 'true' && $TRAVIS_PYTHON_VERSION == '2.7' ]]; then pip install --use-mirrors twisted==12.2.0; fi
6c16f8c @bdarnell Try out travis-ci.org
bdarnell authored
28 - python setup.py install
daeb7c4 @bdarnell Fix travis build for python3
bdarnell authored
29 script:
30 # Must cd somewhere else so python3 doesn't get confused and run
31 # the python2 code from the current directory instead of the installed
32 # 2to3 version.
33 - cd maint
b082051 @bdarnell Disable python 2.6 on travis-ci, since I don't have enough visibility
bdarnell authored
34 - python -m tornado.test.runtests
Something went wrong with that request. Please try again.